Subject: Re: bug#74496: 30.0.91; fullscreen frame set with F11 is shifted when ctwm restarts

From: martin rudalics <[email-masked]>
Date: Tue, 10 Dec 2024 16:54:37 +0100

> When I click on the left fringe, the echo area says,
 >
 >       <left-fringe><mouse-1> is undefined

That's the expected reaction.

 > where the foreground windowframe is regular size and immediately below
 > the windowframe is fullheight.
 >
 > At the transition point when all frame decorations disappear in the
 > course of ctwm restart, it looks as though the frame translates in the
 > northwest direction then goes back when the decorations re-appear.

IIUC that's the behavior for all windows, not just the Emacs ones.

 > Normally, I don't use the tool bar and make it invisible, here I see the
 > toolbar has all button icons except for icon+save and icon+undo.

Interesting: On xfce here these two are the only ones that have the
'both-horiz' style.  Since I never use the tool bar I have no idea how
they should look like.

 > Mousing around to reproduce your observations, I found the toolbar would
 > flash to all buttons being icon+text when clicking on the scrollbar area
 > to scroll.  But at the next emacs session I wasn't able to reproduce
 > this glitch.

Don't worry.  Does the toolbar work as expected under Lucid?

 > Nothing stands out as misbehaving around the scrollbars.  Normally, I
 > hide the scrollbar.

Then let's not bother any more.  Normally the GTK scroll bars follow the
current theme but I have no idea what a theme would be under CTWM.

 > The following are window frame attributes before and after ctwm restart.

These look good IMO.

Thanks for checking, martin